LFR-FSW - Bug #58

Traitement de TC_LFR_RESET a implémenter (voire a re-spécifier)
19/02/2014 05:56 PM - Gerald Saule

Status: Closed Start date: 19/02/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: rog

Description

METTRE A JOUR srs AVEC REPONSE paul

TC_LFR_RESET provoque un retour de TM_LFR_TC_EXE_NOT_IMPLEMENTED. Le retour spécifié est
TM_LFR_TC_EXE_SUCCESS (dans le cas nominal).

Ce comportement indique fidélement la non-implémentation actuelle du traitement de cette TC. Ce n'est pas conforme au contour
V2.

(Cette issue reprend Bug #504 de pc-instru)

Les problématiques sur

-l'affectation de HK_LFR_LAST_REJ_TC_SUBTYPE/HK_LFR_LAST_REJ_TC_TIME

-la cohérence entre le TIME de TM_LFR_TC_EXE_NOT_IMPLEMENTED, et le HK_LFR_LAST_REJ_TC_TIME
de TM_LFR_HK

seront a revoir lorsque les HK seront correctement générés (cf issue 52).

Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0001_step03

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 04/03/2014 12:33 PM - paul leroy

- Status changed from New to In Progress

La fonction précise de cette TC n'est toujours pas clarifiée. Elle demeure donc non implémentée.

#2 - 09/06/2015 10:47 AM - paul leroy
- Status changed from In Progress to Feedback

- Assignee changed from paul leroy to Veronique bouzid

la TC_LFR_RESET est implémentée. Sa fonction actuelle consiste a exécuter un appel a exit(0), qui stoppe le logiciel de vol.

Il faudrait faire remonter l'information dans la SRS.

#3 - 01/10/2015 03:48 PM - bruno katra
- Description updated

- Category set to SRS

#4 - 23/10/2015 02:49 PM - bruno katra
https://hephaistos.lpp.polytechnique.fr/redmine/issues/504

- Status changed from Feedback to Closed

Mis a jour dans SRS 1.9
